%{?mingw_package_header}

# first two digits of version
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:		mingw-libsoup
Version:	2.72.0
Release:	%mkrel 2
Summary:	MinGW library for HTTP and XML-RPC functionality

License:	LGPLv2
Group:		Development/Other
URL:		https://wiki.gnome.org/Projects/libsoup
Source0:	https://download.gnome.org/sources/libsoup/%{release_version}/libsoup-%{version}.tar.xz
# Fix mulitple definition errors
Patch0:         libsoup_extern.patch

BuildArch:	noarch

BuildRequires: gcc
BuildRequires: meson

BuildRequires: mingw32-filesystem >= 107
BuildRequires: mingw32-binutils
BuildRequires: mingw32-glib2
BuildRequires: mingw32-libxml2
BuildRequires: mingw32-brotli
BuildRequires: mingw32-libpsl
BuildRequires: mingw32-sqlite

BuildRequires: mingw64-filesystem >= 107
BuildRequires: mingw64-binutils
BuildRequires: mingw64-glib2
BuildRequires: mingw64-libxml2
BuildRequires: mingw64-brotli
BuildRequires: mingw64-libpsl
BuildRequires: mingw64-sqlite

# For glib-genmarshal
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	intltool

%description
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.
 
libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup


# Win32
%package -n mingw32-libsoup
Summary:	MinGW library for HTTP and XML-RPC functionality
Requires:       pkgconfig
Requires:       mingw32-glib-networking
# Dropped in F25
Obsoletes:      mingw32-libsoup-static < 2.54.1

%description -n mingw32-libsoup
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup

# Win64
%package -n mingw64-libsoup
Summary:        MinGW library for HTTP and XML-RPC functionality
Requires:       pkgconfig
Requires:       mingw64-glib-networking
# Dropped in F25
Obsoletes:      mingw64-libsoup-static < 2.54.1

%description -n mingw64-libsoup
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup


%{?mingw_debug_package}


%prep
%autosetup -p1 -n libsoup-%{version}

%build
%mingw_meson \
    -Dgtk_doc=false \
    -Dgssapi=disabled \
    -Dintrospection=disabled \
    -Dtests=false \
    -Dtls_check=false \
    -Dvapi=disabled

%install
%mingw_ninja_install

# Remove the .la files
rm -f %{buildroot}%{mingw32_libdir}/*.la
rm -f %{buildroot}%{mingw64_libdir}/*.la

%mingw_find_lang libsoup

# Win32
%files -n mingw32-libsoup -f mingw32-libsoup.lang
%license COPYING
%{mingw32_bindir}/libsoup-2.4-1.dll
%{mingw32_bindir}/libsoup-gnome-2.4-1.dll
%{mingw32_includedir}/libsoup-2.4
%{mingw32_includedir}/libsoup-gnome-2.4
%{mingw32_libdir}/libsoup-2.4.dll.a
%{mingw32_libdir}/libsoup-gnome-2.4.dll.a
%{mingw32_libdir}/pkgconfig/libsoup-2.4.pc
%{mingw32_libdir}/pkgconfig/libsoup-gnome-2.4.pc

# Win64
%files -n mingw64-libsoup -f mingw64-libsoup.lang
%license COPYING
%{mingw64_bindir}/libsoup-2.4-1.dll
%{mingw64_bindir}/libsoup-gnome-2.4-1.dll
%{mingw64_includedir}/libsoup-2.4
%{mingw64_includedir}/libsoup-gnome-2.4
%{mingw64_libdir}/libsoup-2.4.dll.a
%{mingw64_libdir}/libsoup-gnome-2.4.dll.a
%{mingw64_libdir}/pkgconfig/libsoup-2.4.pc
%{mingw64_libdir}/pkgconfig/libsoup-gnome-2.4.pc



%changelog
* Sat Sep 26 2020 tv <tv> 2.72.0-2.mga8
+ Revision: 1630453
- fix build
- rebuild for new mingw stack

* Mon Sep 14 2020 ovitters <ovitters> 2.72.0-1.mga8
+ Revision: 1626063
- new version 2.72.0

* Sat Sep 05 2020 ovitters <ovitters> 2.71.1-1.mga8
+ Revision: 1622809
- new version 2.71.1

* Thu Jul 09 2020 ovitters <ovitters> 2.71.0-1.mga8
+ Revision: 1603441
- new version 2.71.0

* Sun Mar 08 2020 daviddavid <daviddavid> 2.70.0-1.mga8
+ Revision: 1554798
- new version: 2.70.0

* Wed Feb 26 2020 ovitters <ovitters> 2.68.4-1.mga8
+ Revision: 1550628
- new version 2.68.4

* Tue Feb 18 2020 umeabot <umeabot> 2.68.3-2.mga8
+ Revision: 1539231
- Mageia 8 Mass Rebuild

* Wed Dec 04 2019 ovitters <ovitters> 2.68.3-1.mga8
+ Revision: 1464243
- new version 2.68.3
- dropped merged patch 0001-build-Enable-GNOME-support-for-mingw-builds.patch

* Fri Nov 08 2019 daviddavid <daviddavid> 2.68.2-2.mga8
+ Revision: 1458734
- enable GNOME support

* Wed Oct 09 2019 ovitters <ovitters> 2.68.2-1.mga8
+ Revision: 1450768
- new version 2.68.2

* Thu Oct 03 2019 daviddavid <daviddavid> 2.68.1-1.mga8
+ Revision: 1449049
- new version: 2.68.1

* Mon Sep 23 2019 daviddavid <daviddavid> 2.68.0-1.mga8
+ Revision: 1444966
- new version: 2.68.0
- switch to meson build system

* Sun Sep 23 2018 umeabot <umeabot> 2.52.2-3.mga7
+ Revision: 1299549
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Wed May 11 2016 tv <tv> 2.52.2-1.mga6
+ Revision: 1012716
- new release

* Thu Feb 18 2016 umeabot <umeabot> 2.48.1-2.mga6
+ Revision: 965621
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 ovitters <ovitters> 2.48.1-1.mga6
+ Revision: 836366
- new version 2.48.1
- new version 2.47.92
- new version 2.47.4
- new version 2.47.3
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu May 29 2014 ovitters <ovitters> 2.46.0-1.mga5
+ Revision: 627621
- new version 2.46.0

* Wed Feb 05 2014 ovitters <ovitters> 2.44.2-1.mga5
+ Revision: 582770
- new version 2.44.2

* Sat Nov 09 2013 ovitters <ovitters> 2.43.90-2.mga4
+ Revision: 550189
- fix url

* Sun Oct 27 2013 neoclust <neoclust> 2.43.90-1.mga4
+ Revision: 547394
- imported package mingw-libsoup

